<?php

/**
 * Class SurveyEngageEntityBannerSurveyItemOption
 */
class SurveyEngageEntityBannerSurveyItemOption extends EasyDevelopmentSkeletonAbstractEntity {

  private $_tableName = 'survey_item_option';

  public function getTableName() {
    return $this->_tableName;
  }

  public function getAdministrationListInformation() {
    return false;
  }

  public function getAdministrationFieldNames() {
    return false;
  }

  public function getDependencyAdministrationFieldNames() {
    $fieldMap = array(
        'type'             => 'fieldSet',
        'duplicateEnable'  => true, // This is only available for fieldsets
        'label'            => 'Options / Suggestions',
        'multipleSetup'    => true,
        'multipleLabel'    => __('Add Option'),
        'information'      => array(),
        'dependencyEntity' => 'SurveyEngageEntityBannerSurvey',
        'dependency'       => array(
            'id' => 'survey_id'
        )
    );

    $fieldMap['information'] = array(
        'name'  => array(
            'type'        => 'text',
            'placeholder' => 'Leave this blank if you do not need it.'
        ),
        'order'  => array(
            'type'  => 'hiddenOrderHelper'
        ),
    );

    return $fieldMap;
  }

  public function getAllBySurveyItemID($surveyItemID) {
    $sql = 'SELECT * FROM `' . $this->getAbsoluteTableName() . '` WHERE survey_item_id = ' . intval($surveyItemID) . ' ORDER BY `order` ASC';

    $information = $this->wp_db->get_results($sql);

    $information = method_exists($this, 'beforeGetAll') ? $this->beforeGetAll($information) : $information;

    return $information;
  }

  public function beforeGetAll($entries) {
    return $entries;
  }

  public function beforeInsert($entry) {
    return $entry;
  }

  public function beforeUpdate($entry) {
    return $entry;
  }

  public function deleteBySurveyID($surveyID) {
    $surveyItems = SurveyEngageController::getInstance()->entitySurveyItem->getAllBySurveyID($surveyID);

    foreach($surveyItems as $surveyItem)
      $this->deleteBySurveyItemID($surveyItem->id);
  }

  /**
   * @param $surveyID
   */
  public function deleteBySurveyItemID($surveyID) {
    $this->databaseConnection->delete($this->getAbsoluteTableName(), array("survey_item_id" => $surveyID));
  }

}