<?php

/**
 * Class SurveyEngageEntityBannerSurveyItem
 */
class SurveyEngageEntityBannerSurveyResultItem extends EasyDevelopmentSkeletonAbstractEntity {

  private $_tableName = 'survey_result_item';

  public function getTableName() {
    return $this->_tableName;
  }

  public function getAdministrationListInformation() {
    return false;
  }

  public function getAdministrationFieldNames() {
    return false;
  }

  public function getDependencyAdministrationFieldNames() {
    $bannerList = BannerEngageController::getInstance()->entityBanner->getAll();

    $fieldMap = array(
        'type'             => 'table',
        'label'            => 'Banner List',
        'headInformation'  => array(
          'Banner Name', 'Banner Group Status', 'Active From', 'Expiration Date'
        ),
        'information'      => array(),
        'dependencyEntity' => 'BannerEngageEntityBannerGroup',
        'dependency'       => array(
            'id' => 'banner_group_id'
        )
    );

    foreach($bannerList as $banner) {
      $fieldMap['information'][$banner->id] = array(
          'informationLabel'=> array(
              'type' => 'html',
              'html' => '<p>' . $banner->name . '</p>'
          ),
          'is_active'   => array(
              "type"      =>  "select",
              "values"    =>  array(
                  '1'   => __("Active"),
                  '0'   => __("Disabled")
              )
          ),
          'start_date' => array(
              "type"    =>  "datetime"
          ),
          'expiration_date' => array(
              "type"    =>  "datetime"
          ),
      );
    }

    return $fieldMap;
  }

  public function getAllByBannerGroupID($bannerID) {
    $sql = 'SELECT * FROM `' . $this->getAbsoluteTableName() . '`
             WHERE `banner_group_id` = ' . intval($bannerID);

    $information = $this->wp_db->get_results($sql);

    $information = method_exists($this, 'beforeGetAll') ? $this->beforeGetAll($information) : $information;

    return $information;
  }

  public function getAllBySurveyIDAndSurveyItemID($surveyID, $surveyItemID) {
    $sql = 'SELECT * FROM `' . $this->getAbsoluteTableName() . '`
             WHERE `survey_id`      = ' . intval($surveyID) . '
               AND `survey_item_id` = ' . intval($surveyItemID);

    $information = $this->wp_db->get_results($sql);

    $information = method_exists($this, 'beforeGetAll') ? $this->beforeGetAll($information) : $information;

    return $information;
  }

  public function beforeGetAll($entries) {
    return $entries;
  }

  public function beforeInsert($entry) {
    return $entry;
  }

  public function beforeUpdate($entry) {
    return $entry;
  }

  /**
   * @param $surveyID
   */
  public function deleteBySurveyID($surveyID) {
    $this->databaseConnection->delete($this->getAbsoluteTableName(), array("survey_id" => $surveyID));
  }

}