<?php

class SurveyEngageUsageGoalsIntegration {

  public function getAccomplishmentInformation() {
    $information = array(
        'creation'     => $this->_creationAchievement(),
        'completion'   => $this->_completionAchievement()
    );

    return $information;
  }

  public function getAccomplishmentRanks() {
    return array(
        'Private', 'Specialist', 'Corporal', 'Sergeant',
        'Lieutenant', 'Captain', 'Major', 'Colonel', 'General', 'King'
    );
  }

  private function _creationAchievement() {
    return array(
        'name'        => __("Survey Spark %s"),
        'description' => __("Create %s surverys"),
        'type'        => 'progress',
        'options'     => array(
            1, 5, 10, 20, 50
        ),
        'optionRanks' => array(
          'Starter', 'Enthusiast', 'Specialist', 'Craftsman', 'Guru'
        ),
        'progress'    => count(SurveyEngageController::getInstance()->entitySurvey->getAll())
    );
  }

  private function _completionAchievement() {
    return array(
        'name'        => __("Audience Engaged - %s"),
        'description' => __("Have all your surveys completed %s times"),
        'type'        => 'progress',
        'options'     => array(
            10, 100, 400, 800, 2000, 5000, 10000, 20000, 50000
        ),
        'progress'    => count(SurveyEngageController::getInstance()->entitySurveyResult->getAll())
    );
  }

}