<?php
$statisticsTime = strtotime(date("Y-m-d"));

$performanceInformationLabels = array();
$performanceInformation       = array(
    'display'   => array(
        'label'   => 'Display',
        'data'    => array()
    ),
    'completion' => array(
        'label'   => 'Completion',
        'data'    => array()
    )
);

$surveyList       = SurveyEngageController::getInstance()->entitySurvey->getAll();
$surveyCompletionList = EasyDevelopmentSkeletonHelperArray::composeKeyToValue(
    SurveyEngageController::getInstance()->entitySurveyResult->getCompletionInformationNewerThan($statisticsTime),
    'survey_id', 'count'
);
$surveyDisplayList = EasyDevelopmentSkeletonHelperArray::composeKeyToValue(
    SurveyEngageController::getInstance()->entitySurveyDisplay->getDisplayInformationNewerThan($statisticsTime),
    'survey_id', 'count'
);

foreach($surveyList as $survey) {
  $performanceInformationLabels[$survey->id]                 = $survey->name;
  $performanceInformation['completion']['data'][$survey->id] = isset($surveyCompletionList[$survey->id]) ? $surveyCompletionList[$survey->id] : 0;
  $performanceInformation['display']['data'][$survey->id]    = isset($surveyDisplayList[$survey->id]) ? $surveyDisplayList[$survey->id] : 0;
}

if(count($performanceInformationLabels) > 8) {
  foreach($performanceInformation['display']['data'] as $surveyID => $displayCount) {
    if($displayCount == 0) {
      unset($performanceInformationLabels[$surveyID]);
      unset($performanceInformation['display']['data'][$surveyID]);
      unset($performanceInformation['completion']['data'][$surveyID]);
    }
  }
}

?>

<div class="row">
  <div class="col-md-6">
    <h2><?php echo __("Your current ") . SurveyEngageController::getInstance()->pluginName . __(" achievements"); ?></h2>
    <?php
    echo SurveyEngageController::getInstance()->modelUsageGoals->displayFromInformationArray(
        SurveyEngageController::getInstance()->integrationUsageGoals->getAccomplishmentInformation(),
        SurveyEngageController::getInstance()->integrationUsageGoals->getAccomplishmentRanks()
    );
    ?>
  </div>
  <div class="col-md-6">
    <h2><?php echo __("Today's Survey Activity"); ?></h2>

    <?php echo SurveyEngageController::getInstance()->modelPerformanceStatistics->fromInformationArray(
        array(
            'type'              => "chart",
            'chartType'         => (
              count($performanceInformationLabels) >= 4 ?
                  SurveyEngageController::getInstance()->modelChart->chartTypeRadar :
                  SurveyEngageController::getInstance()->modelChart->chartTypeLine
            ),
            'chartInformation'  => $performanceInformation,
            'chartLabels'       => $performanceInformationLabels
        )
    );?>
  </div>
</div>